Bug 104782 - unregister_netdevice blocks preventing clean shutdown
unregister_netdevice blocks preventing clean shutdown
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-21 16:58 EDT by Alistair Riddoch
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-24 11:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alistair Riddoch 2003-09-21 16:58:01 EDT
Description of problem:

When attempting to shutdown, suspend, or unplug the PCMCIA network card
the following error is logged repeatedly:

kernel: unregister_netdevice: waiting for eth0 to become free. Usage count = 2

The network card in question is a Lucent Orinoco 802.11b card.

I have not yet managed to work out how to get the machine to shut down cleanly.

Version-Release number of selected component (if applicable):

kernel-2.4.21-20.1.2024.2.1.nptl
kernel-2.4.22-1.2049.nptl
kernel-2.4.22-1.2051.nptl

How reproducible:

Always.

Steps to Reproduce:
1. Use an Orinoco 802.11b card to connect to the network.
2. Attempt to shutdown the system.
    
Actual results:

When attempting to shutdown the pcmcia subsystem, the following messages is
printed repeatedly, roughly once per second:

kernel: unregister_netdevice: waiting for eth0 to become free. Usage count = 2

Expected results:

The system should shutdown cleanly.

Additional info:

Full text of syslog entries before failure:

cardmgr[498]: executing: './network stop eth0'
modprobe: modprobe: Can't locate module tun6to4
/etc/hotplug/net.agent: Net unregister event not supported.
modprobe: modprobe: Can't locate module char-major-10-134
kernel: unregister_netdevice: waiting for eth0 to become free. Usage count = 2
Comment 1 Alistair Riddoch 2003-10-24 11:39:25 EDT
This bug no longer occurs in later kernel version posted to rawhide as part
of the severn beta process.

Note You need to log in before you can comment on or make changes to this bug.